import QtQuick 1.1

Rectangle {
    id: header
    width: parent.width
    height: 64;
    opacity: 0.3
    color: "#000000"

    property alias text: h.text
    property alias size: h.font.pixelSize;

    property alias textColor: h.color

    signal onClicked;

    MouseArea {
        anchors.fill: parent;
        onClicked: header.onClicked();
    }

    Text {
        id: h
        anchors.centerIn: parent;
        text: ""
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 52
        color: "#FFFFFF"
    }
}
