import QtQuick 1.1
import QtWebKit 1.0

Item {
    id: delegate
    height: column.height;
    width: parent.width

    Column {
        id: column
        width: parent.width

        Text {
            id: titleText
            text: title; width: parent.width; wrapMode: Text.WordWrap
            font {
                bold: true; family: "Helvetica"; pixelSize: 24;
            }

            Text {
                id: descriptionText
                width: parent.width; text: description
                wrapMode: Text.WordWrap; font.family: "Helvetica"
            }
        }

        Rectangle {
            width: parent.width; height: 1; color: "#cccccc"
            anchors.bottom: parent.bottom
        }
    }
}
